openSUSE Security Update: Security update for python-django-grappelli
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2024:0017-1
Rating:             moderate
References:         #1216481 
Cross-References:   CVE-2021-46898
CVSS scores:
                    CVE-2021-46898 (NVD) : 6.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Affected Products:
                    openSUSE Backports SLE-15-SP5
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for python-django-grappelli fixes the following issues:

   Update to 2.14.4:

   - CVE-2021-46898: Fixed views/switch.py vulnerable to protocol-relative
     URL attacks (boo#1216481)
   - Fixed: Redirect with switch user.
   - Improved: Remove extra filtering in AutocompleteLookup.
   - Improved: Added import statement with URLs for quickstart docs.
   - Improved: Added additional blocks with inlines to allow override.
   - Fixed: Compatibility with Django 3.1.
   - Fixed: Docs about adding Grappelli documentation URLS.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Backports SLE-15-SP5:

      zypper in -t patch openSUSE-2024-17=1



Package List:

   - openSUSE Backports SLE-15-SP5 (noarch):

      python3-django-grappelli-2.14.4-bp155.3.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-46898.html
   https://bugzilla.suse.com/1216481

openSUSE: 2024:0017-1 moderate: python-django-grappelli

January 11, 2024
An update that fixes one vulnerability is now available

Description

This update for python-django-grappelli fixes the following issues: Update to 2.14.4: - CVE-2021-46898: Fixed views/switch.py vulnerable to protocol-relative URL attacks (boo#1216481) - Fixed: Redirect with switch user. - Improved: Remove extra filtering in AutocompleteLookup. - Improved: Added import statement with URLs for quickstart docs. - Improved: Added additional blocks with inlines to allow override. - Fixed: Compatibility with Django 3.1. - Fixed: Docs about adding Grappelli documentation URLS.

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Backports SLE-15-SP5: zypper in -t patch openSUSE-2024-17=1


Package List

- openSUSE Backports SLE-15-SP5 (noarch): python3-django-grappelli-2.14.4-bp155.3.3.1


References

https://www.suse.com/security/cve/CVE-2021-46898.html https://bugzilla.suse.com/1216481


Severity
Announcement ID: openSUSE-SU-2024:0017-1
Rating: moderate
Affected Products: openSUSE Backports SLE-15-SP5 .

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo